---
title: 'Ember ATX 2020 - Introducing Ember Modifiers'
date: 2020-04-01
tags:
  - Tech
  - Ember
coverImage: /images/uploads/introducing-ember-modifiers.png
description: >-
  "Introducing Ember Modifiers" as presented at Ember ATX in April, 2020.
---

[Watch on YouTube here](https://www.youtube.com/watch?v=KWBOYqAEh6M)

* What modifiers are, why use them
* Using {{on}} modifier shipped with Ember
* Writing your own modifier (complete with tests!)
* Exploring modifier addons
    * [Ember Guides for Templating and Modifiers](https://guides.emberjs.com/release/components/template-lifecycle-dom-and-modifiers/#toc_event-handlers)
    * [ember-modifier (How you get a modifier blueprint etc)](https://github.com/ember-modifier/ember-modifier)
    * [@ember/render-modifiers](https://github.com/emberjs/ember-render-modifiers)
    * [ember-prop-modifier](https://www.npmjs.com/package/ember-prop-modifier)
    * [ember-ref-modifier](https://github.com/lifeart/ember-ref-modifier)
    * [ember-focus-trap](https://github.com/josemarluedke/ember-focus-trap)
    * [ember-autostash-modifier](https://nullvoxpopuli.github.io/ember-autostash-modifier)

